# Generated from textigniter-0.0.36.gem by gem2rpm -*- rpm-spec -*-
%global gem_name textigniter

Name: rubygem-%{gem_name}
Version: 0.0.36
Release: 1%{?dist}
Summary: A static site generator
License: MIT
URL: http://github.com/kalebheitzman/textigniter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Textigniter is a lightweight static site generator based on textile
(markdown optional), liquid, less, and coffeescript. It supports multiple
blogs, custom meta, custom content blocks, and your own custom meta tags in
templates without having to write plugins for them (You can however write
plugins to add more power to your text-based information) .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/textigniter
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.textile
%{gem_instdir}/Rakefile
%{gem_instdir}/textigniter.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.36-1
- Initial package
